Restores a previous system prompt version.

POSThttps://api.awork.com/api/v1/agents/{agentId}/systempromptversions/{systemPromptVersionId}/restore
POST https://api.awork.com/api/v1/agents/{agentId}/systempromptversions/{systemPromptVersionId}/restore

Restores a saved system prompt version as the agent's current prompt. The restore records a new history version and returns that version. Use the system prompt versions endpoint to find a version id.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

agentIdstringRequired
format: uuid

The agent id.

systemPromptVersionIdstringRequired
format: uuid

The prompt version id.

Responses

200 OK

application/json

idstringOptional
format: uuid

The prompt version id.

agentIdstringOptional
format: uuid

The agent id.

versionNumberintegerOptional
format: int32

The version number, assigned in order of creation.

isCurrentbooleanOptional

Whether this is the agent's current system prompt.

systemPromptstring or nullOptional

The system prompt.

createdOnstring or nullOptional
format: date-time

The creation time of the system prompt version.

createdBystring or nullOptional
format: uuid

The user who created the system prompt version.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation